<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>1999</year><year>2013</year>
      <holder>Ericsson AB. All Rights Reserved.</holder>
    </copyright>
    <legalnotice>
      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at
 
          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
    
    </legalnotice>

    <title>CosTransactions_SubtransactionAwareResource</title>
    <prepared></prepared>
    <docno></docno>
    <checked></checked>
    <date>1999-04-12</date>
    <rev>PA1</rev>
  </header>
  <module>CosTransactions_SubtransactionAwareResource</module>
  <modulesummary>This module implements the OMG CosTransactions::SubtransactionAwareResource interface.</modulesummary>
  <description>
    <p>This interface inherits the CosTransactions::Resource interface. Hence, 
      it must also support all operations defined in the Resource interface.</p>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosTransactions/include/CosTransactions.hrl").</c></p>
  </description>
  <funcs>
    <func>
      <name>commit_subtransaction(SubtransactionAwareResource, Coordinator) -> Return</name>
      <fsummary>Notify the target object that the transaction has committed</fsummary>
      <type>
        <v>SubtransactionAwareResource = #objref</v>
        <v>Coordinator = #objref</v>
        <v>Return = ok</v>
      </type>
      <desc>
        <p>If the <c>SubtransactionAwareResource</c> have been registered with a <em>subtransaction</em>
          using the operation <c>CosTransactions_Coordinator:register_subtran_aware/2</c>,
          it will be notified when the transaction has committed.</p>
        <note>
          <p>The results of a committed subtransaction are relative to the completion of its ancestor
            transactions, that is, these results can be undone if any ancestor transaction is rolled back.</p>
        </note>
      </desc>
    </func>
    <func>
      <name>rollback_subtransaction(SubtransactionAwareResource) -> Return</name>
      <fsummary>Notify the target object that the transaction has been rolled back</fsummary>
      <type>
        <v>SubtransactionAwareResource = #objref</v>
        <v>Return = ok</v>
      </type>
      <desc>
        <p>If the <c>SubtransactionAwareResource</c> have been registered with a transactions
          using the operation <c>CosTransactions_Coordinator:register_subtran_aware/2</c>
          it will be notified when the transaction has rolled back.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

